Package net.md_5.bungee.api.dialog.input

# Class TextInput.Multiline

java.lang.Object
net.md_5.bungee.api.dialog.input.TextInput.Multiline

Enclosing class:
  TextInput

public static class TextInput.Multiline extends Object
Configuration data for a multiline input.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Multiline()`
  `Multiline(Integer maxLines, Integer height)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `Integer`
  `height()`
  The height of this input (default: 32, minimum: 1, maximum: 512).
  `TextInput.Multiline`
  `height(Integer height)`
  `Integer`
  `maxLines()`
  The maximum length of input, or null to disable any limits.
  `TextInput.Multiline`
  `maxLines(Integer maxLines)`
  The maximum length of input, or null to disable any limits.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Multiline

    public Multiline(Integer maxLines, Integer height)

  - ### Multiline

    public Multiline()

- ## Method Details

  - ### height

    public TextInput.Multiline height(Integer height)

  - ### maxLines

    public Integer maxLines()
    The maximum length of input, or null to disable any limits.

  - ### height

    public Integer height()
    The height of this input (default: 32, minimum: 1, maximum: 512).

  - ### maxLines

    public TextInput.Multiline maxLines(Integer maxLines)
    The maximum length of input, or null to disable any limits.
    Returns:
      `this`.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`